Package ru.bitel.bgbilling.modules.rurupay.common.bean

# Enum Class TransactionStatus

java.lang.Object
java.lang.Enum<TransactionStatus>
ru.bitel.bgbilling.modules.rurupay.common.bean.TransactionStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TransactionStatus>`, `Constable`, `AbstractTransactionStatus`

public enum TransactionStatus extends Enum<TransactionStatus> implements AbstractTransactionStatus

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `FAIL`
  `NEW`
  `OK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  `AbstractTransactionStatus`
  `getStatusByCode(String code)`
  Получение статуса и его описания по его коду.
  `String`
  `getTitle()`
  `String`
  `toString()`
  `static TransactionStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TransactionStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final TransactionStatus ALL

  - ### NEW

    public static final TransactionStatus NEW

  - ### OK

    public static final TransactionStatus OK

  - ### FAIL

    public static final TransactionStatus FAIL

- ## Method Details

  - ### values

    public static TransactionStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TransactionStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `AbstractTransactionStatus`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `AbstractTransactionStatus`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `AbstractTransactionStatus`
    Overrides:
      `toString` in class `Enum<TransactionStatus>`

  - ### getStatusByCode

    public AbstractTransactionStatus getStatusByCode(String code)
    Получение статуса и его описания по его коду.
    Specified by:
      `getStatusByCode` in interface `AbstractTransactionStatus`
    Parameters:
      `code` -
    Returns: